head     1.2;
access   ;
symbols  ;
locks    ; strict;
comment  @@;


1.2
date     90.01.07.20.18.24;  author joel;  state Exp;
branches ;
next     1.1;

1.1
date     89.12.28.12.48.04;  author joel;  state Exp;
branches ;
next     ;


desc
@Description of the x11perfcomp shell script
@


1.2
log
@Added -r, -ro options
@
text
@.TH x11perfcomp 1 "7 Jan 1990" "X Version 11"
.SH NAME
x11perfcomp - X11 server performance comparison program
.SH SYNTAX
.B x11perfcomp
[-r | -ro] [-l label_file] files
.SH DESCRIPTION
The
.I x11perfcomp
program merges the output of several
.I x11perf(1)
runs into a nice tabular
format.  It takes the results in each file, fills in any missing test results if
necessary, and for each test shows the objects/second rate of each server.
If invoked with the -r or -ro options, it shows the relative performance 
of each server to the first server.
.PP
Normally,
.I x11perfcomp
uses the first file specified to determine which specific tests it should
report on.  Some (non-DEC :) servers may fail to perform
all tests.  In this case,
.I x11perfcomp
automatically substitutes in a rate of 0.0 objects/second. 
Since the first file
determines which tests to report on, this file must contain a superset of
the tests reported in the other files, else 
.I x11perfcomp
will fail.
.PP
You can provide an explicit list of tests to report on
by using the -l switch to specify a file of labels.  You can create a label
file by using the -label option in 
.I x11perf.
.SH OPTIONS
.I x11perfcomp
accepts the options listed below:
.TP 16
.B \-r
Specifies that the output should also include relative server
performance.
.TP 16
.B \-ro
Specifies that the output should include only relative server performance.
.TP 16
.B \-l label_file
Specifies a label file to use.
.SH X DEFAULTS
There are no X defaults used by this program.
.SH "SEE ALSO"
X(1), x11perf(1)
.SH BUGS
We hope not.
.SH AUTHORS
Mark Moraes wrote the original scripts to compare servers.
.br
Joel McCormack just munged them together a bit.
@


1.1
log
@Initial revision
@
text
@d1 1
a1 1
.TH x11perfcomp 1 "27 Dec 1989" "X Version 11"
d6 1
a6 1
[-l label_file] files
d15 2
d37 8
a44 1
accepts the one option listed below:
@
