head     2.2;
access   ;
symbols  pre-merge:2.0;
locks    ; strict;
comment  @ * @;


2.2
date     89.05.04.14.09.49;  author joel;  state Exp;
branches ;
next     2.1;

2.1
date     89.05.03.14.17.29;  author joel;  state Exp;
branches ;
next     2.0;

2.0
date     89.01.31.17.04.21;  author erik;  state Exp;
branches ;
next     1.2;

1.2
date     89.01.31.17.04.21;  author joel;  state Exp;
branches ;
next     1.1;

1.1
date     89.01.08.21.59.51;  author joel;  state Exp;
branches ;
next     ;


desc
@Copyarea from pixmap
@


2.2
log
@*** empty log message ***
@
text
@#include "x11perf.h"

#define NUMPOINTS 100

static GC bggc, fggc;
static Window w;
static  XPoint points[NUMPOINTS];
static Pixmap pixmap;

Bool InitCopyArea2(d, p)
    Display *d;
    Parms p;
{
    int i;
    XGCValues gcv;

    for (i = 0; i < NUMPOINTS; i++)
    {    
        points[i].x = rand() % WIDTH;
        points[i].y = rand() % HEIGHT;
    }
    CreatePerfStuff(d, 1, WIDTH, HEIGHT, &w, &bggc, &fggc);

    /* Create pixmap to write stuff into, and clear it out */
    pixmap =
	XCreatePixmap(d, w, WIDTH, HEIGHT, DefaultDepth(d, DefaultScreen(d)));
    XFillRectangle(d, pixmap, bggc, 0, 0, WIDTH, HEIGHT);

    XDrawLines(d, pixmap, fggc, points, NUMPOINTS, CoordModeOrigin);
    XSync(d, 0);    
    return True;
}

void DoCopyArea2(d, p)
    Display *d;
    Parms p;
{
    int i;

    
    for (i=0; i<p->reps; i++)
    {
    
        XCopyArea(d, pixmap, w, fggc, rand() % WIDTH, rand() % HEIGHT,
		200, 200, rand() % WIDTH, rand() % HEIGHT);
    }
}

void MidCopyArea2(d, p)
    Display *d;
    Parms p;
{
    XDrawLines(d, w, bggc, points, NUMPOINTS, CoordModeOrigin);
    XSync(d, 0);    
}

void EndCopyArea2(d, p)
    Display *d;
    Parms p;
{
    int i;
    if (w != None)
	    XDestroyWindow(d, w);
    if (pixmap != None)
	    XFreePixmap(d, pixmap);
    XFreeGC(d, bggc);
    XFreeGC(d, fggc);
}

@


2.1
log
@Massive changes, I'm not going to go into details.
@
text
@a6 5
static XRectangle ws[3] = {
    {100, 100, 200, 200},
    {150, 150, 200, 200},
    {200, 200, 200, 200}
  };
a16 2
    w = None;
    i = 0;
d24 4
a27 4
    /* Create depth-8 pixmap to write stuff into, and clear it out */
    pixmap = XCreatePixmap(d, w, 800, HEIGHT, 8);
/*|||    XClearArea(d, pixmap, bggc, 0, 0, 800, HEIGHT, 0); */
        XCopyArea(d, w, pixmap, bggc, 0, 0, 800, HEIGHT, 0, 0);
@


2.0
log
@version from /usr/src/pmax
@
text
@d15 1
a15 1
void InitCopyArea2(d, p)
d38 1
@


1.2
log
@Added -fg -bg capabilities
@
text
@@


1.1
log
@Initial revision
@
text
@d5 1
a5 1
static GC whitegc, blackgc;
d29 1
a29 1
    CreatePerfStuff(d, 1, WIDTH, HEIGHT, &w, &whitegc, &blackgc);
d33 2
a34 2
/*|||    XClearArea(d, pixmap, whitegc, 0, 0, 800, HEIGHT, 0); */
        XCopyArea(d, w, pixmap, whitegc, 0, 0, 800, HEIGHT, 0, 0);
d36 1
a36 1
    XDrawLines(d, pixmap, blackgc, points, NUMPOINTS, CoordModeOrigin);
d50 1
a50 1
        XCopyArea(d, pixmap, w, blackgc, rand() % WIDTH, rand() % HEIGHT,
d59 1
a59 1
    XDrawLines(d, w, whitegc, points, NUMPOINTS, CoordModeOrigin);
d72 2
a73 2
    XFreeGC(d, whitegc);
    XFreeGC(d, blackgc);
@
